Bug 27061 - Double permission check in svc/mana/search
Summary: Double permission check in svc/mana/search
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Mana-kb (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Keywords:
Depends on: 17047
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-20 08:03 UTC by Jonathan Druart
Modified: 2021-05-25 14:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.06,20.05.12


Attachments
Bug 27061: Remove duplicate permission check in svc/mana/search (1023 bytes, patch)
2020-11-20 08:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27061: Remove duplicate permission check in svc/mana/search (1.05 KB, patch)
2021-04-21 13:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27061: Remove duplicate permission check in svc/mana/search (1.11 KB, patch)
2021-04-30 08:03 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-11-20 08:03:03 UTC
There is a call to check_cookie_auth then another one to get_template_and_user
Comment 1 Jonathan Druart 2020-11-20 08:06:02 UTC
Created attachment 113866 [details] [review]
Bug 27061: Remove duplicate permission check in svc/mana/search

There is a call to check_cookie_auth then another one to get_template_and_user

Test plan:
Use mana to create new report and new subscription.
Confirm that you need the necessary permissions to use it
Comment 2 Owen Leonard 2021-04-21 13:56:33 UTC
Created attachment 119952 [details] [review]
Bug 27061: Remove duplicate permission check in svc/mana/search

There is a call to check_cookie_auth then another one to get_template_and_user

Test plan:
Use mana to create new report and new subscription.
Confirm that you need the necessary permissions to use it

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Owen Leonard 2021-04-21 13:57:08 UTC
This required a rebase so please check that I didn't do it incorrectly.
Comment 4 Julian Maurice 2021-04-30 08:03:23 UTC
Created attachment 120324 [details] [review]
Bug 27061: Remove duplicate permission check in svc/mana/search

There is a call to check_cookie_auth then another one to get_template_and_user

Test plan:
Use mana to create new report and new subscription.
Confirm that you need the necessary permissions to use it

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 5 Jonathan Druart 2021-04-30 15:18:25 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-05-11 10:10:37 UTC
Pushed to 20.11.x for 20.11.06
Comment 7 Andrew Fuerste-Henry 2021-05-25 11:46:19 UTC
Pushed to 20.05.x for 20.05.12
Comment 8 Victor Grousset/tuxayo 2021-05-25 14:03:05 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.